FLANG

Public Types | Public Member Functions | Public Attributes | List of all members
Fortran::evaluate::Expr< Type< TypeCategory::Complex, KIND > > Class Template Reference
Inheritance diagram for Fortran::evaluate::Expr< Type< TypeCategory::Complex, KIND > >:

## Public Types
using | Result = Type< TypeCategory::Complex, KIND >
using | Operations = std::variant< Parentheses< Result >, Multiply< Result >, Divide< Result >, Power< Result >, RealToIntPower< Result >, ComplexConstructor< KIND > >
using | Others = std::variant< Constant< Result >, ArrayConstructor< Result >, Designator< Result >, FunctionRef< Result > >
Public Types inherited from Fortran::evaluate::ExpressionBase< Type< TypeCategory::Complex, KIND > >
using | Result = Type< TypeCategory::Complex, KIND >

## Public Member Functions
| Expr (const Scalar< Result > &x)
Public Member Functions inherited from Fortran::evaluate::ExpressionBase< Type< TypeCategory::Complex, KIND > >
Derived & | operator= (const A &x)
common::IfNoLvalue< Derived &, A > | operator= (A &&x)
std::optional< DynamicType > | GetType () const
int | Rank () const
std::string | AsFortran () const
llvm::raw_ostream & | AsFortran (llvm::raw_ostream &) const

## Public Attributes
common::CombineVariants< Operations, Others > | u

## Additional Inherited Members
Static Public Member Functions inherited from Fortran::evaluate::ExpressionBase< Type< TypeCategory::Complex, KIND > >
static Derived | Rewrite (FoldingContext &, Derived &&)

The documentation for this class was generated from the following file:

- include/flang/Evaluate/expression.h